package com.nisum.javaSparkExample.kafka;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.nisum.javaSparkExample.model.Customers;
import org.apache.spark.sql.Row;

public class ObjectMapperTest {
    public static void main(String[] args) throws JsonProcessingException {

        ObjectMapper objectMapper= new ObjectMapper();
        objectMapper.enable(DeserializationFeature.ACCEPT_EMPTY_STRING_AS_NULL_OBJECT);
        Customers customers = objectMapper.readValue("{\"customerId\":1,\"name\":\"sarika\",\"gender\":\"female\",\"transaction_amount\":20000}", Customers.class);
        System.out.println(customers);

    }
}
